{{- if not .Values.masterkeySecretName }}
{{ $masterkey := (.Values.masterkey | default (printf "sk-%s" (randAlphaNum 18))) }}
apiVersion: v1
kind: Secret
metadata:
  name: {{ include "litellm.fullname" . }}-masterkey
data:
  masterkey: {{ $masterkey | b64enc }}
type: Opaque
{{- end }}
